function initArray(count,value)
     local array = {}
     for i = 1,count do
          array[i]=value
     end
     return array
end

function createMenu(header, matrix)
	local menuString = header;
	menuString = menuString..", "
	for key, value in ipairs(matrix) do
		menuString = menuString..value.title.." | "..value.subscript.. ","
	end
	return menuString
end

walktable = {right = {1,0},left = {-1,0},up = {0,1}, down =  {0,-1},default = {0,0}}


function walk(id,direction)
	local xNext = player(id,"x") + walktable[direction][1] * 6
	local yNext = player(id,"y") + walktable[direction][2] * 6
	parse("setpos "..id.." "..xNext.." "..yNext)
	--msg("My id is "..id.." and class: "..cod4.botclass[id].name)
end

function walkPath(id)
	local className = cod4.botclass_name[id]
	local counter = cod4.botclass_counter[id]
	local canCount = false
	local xNext = botClass[className].walkpath[counter].x
	local yNext = botClass[className].walkpath[counter].y
	local direction = "default"

	if(xNext > player(id,"tilex")) then
		direction = "right"
	elseif(xNext < player(id,"tilex")) then
		direction = "left"
	else
		canCount = true
	end

	if(yNext > player(id,"tiley")) then
		direction = "up"
	elseif(yNext < player(id,"tiley")) then
		direction = "down"
	else
		if(canCount) then
			if(counter == #botClass[className].walkpath) then
				counter = 1
			else
				counter = counter + 1
			end
		end
	end
	cod4.botclass_counter[id] = counter

	return direction
end


function cod4.ms100() -- controls the movement of the bot
	for key,id in ipairs(player(0,"table")) do
		if(player(id,"bot")) then
			local dir = walkPath(id)
			walk(id,dir)
		end
	end
end

function cod4.spawn(id)
	if(player(id,"bot")) then
		local class = cod4.botclass_name[id]
		parse("setmaxhealth "..id.." "..botClass[class].maxHp)
		parse("setarmor "..id.." "..botClass[class].armor)
		parse("speedmod "..id.." "..botClass[class].speed)
		cod4.botclass_counter[id] = 1
		parse("setpos "..id.." "..(botClass[class].startpos[1] * 32).. " "..(botClass[class].startpos[2] * 32))

		local returnString = ""
		for key,value in ipairs(botClass[class].items) do
			returnString = returnString..value..","
		end
		return returnString
	end
end

